## 医保业务DLL库使用说明：
  该项目遵循以下原则：

 #### 1.Master为空项目，仅保留说明文件，便于其他新分支的建立

 #### 2.按市+医保类型建立代码分支，如“安徽基线版”，分支名为:AnHui_Base，医保类型包括：Base(基线版)、工伤(Injury)、异地（Offsite)、其它（Other），如果没有可适当增加

 #### 3.每个分支下存放每个省的业务逻辑代码项目，项目名应遵循与分支名保持一致，如AnHui_Base

 #### 4.每个分支的根目录应保留本Readme.md文档，同时应将各个分支的特殊业务场景或版本更新日志放到此文档

 #### 5.使用手册见文档：https://dqqslxaq2y.feishu.cn/docx/VxZhdSrFDonnwTxxTPZctr7onSb?from=from_copylink
 


## 业务分支说明（分支特性，请做相应调整）
 名称：XXX医保

### 版本特性:
## [1.0.0.2] - 2024-4-20
### 新增
 *      门诊结算信息查询接口:新增3688交易
            输入人员编号或证件号、查询类型、开始时间（可选），查询对应类型的最近10次或时间段内（最多180天）的结算费用明细信息。
            查询类型：门诊统筹类、门诊慢病类、特药购药类。
            门诊统筹类包含：普通门诊、儿科门诊、中医特色门诊、急诊（死亡）、门诊单病种、村卫门诊、急诊1级濒危、急诊2级危重、急诊3级急症、4级非急症
            门诊慢病类包含：门诊慢特病、药店购慢特病药
            特药购药类包含：特药购药、特药门诊交易编号3688## [1.0.0.2] - 2024-4-20

## [1.0.0.3] - 2024-4-22
### 优化
 *  住院登记，如果读卡人跟前端不一致，DLL 未进行拦截。已修正。


