﻿using PTMedicalInsurance.FormSetter;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using PTMedicalInsurance.Variables;


namespace PTMedicalInsurance.Forms
{
    public partial class MutualAidChooser : Form
    {
        public string mutualAidPay; //共济金额
        public MutualAidChooser()
        {
            InitializeComponent();

            tbMutualAidPay.Text = Global.Set.psnCashPay;
            ComboxSetter cbxSetter = new ComboxSetter();
            cbxSetter.setCbxInterfaceDataSource(cbxInterface);
        }


        private void btYes_Click(object sender, EventArgs e)
        {
            if (tbMutualAidPay.Text == "")
                tbMutualAidPay.Text = "0";

            mutualAidPay = tbMutualAidPay.Text;
            Global.pat.mutualAidPay = tbMutualAidPay.Text;

            decimal fGJJZ = decimal.Parse(mutualAidPay);

            if (fGJJZ == 0)
            {
                MessageBox.Show("请输入有效的账户代支金额！");
                return;
            }

            if (cbxInterface.Text == "")
            {
                MessageBox.Show("请选择接口目录！");
                return;
            }

            this.DialogResult = DialogResult.OK;
        }

        private void btNO_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }
    }
}
